Gaming Seeking help with VC Gold/Silver/Crystal stuck on 3ds screen

Clothahump

Well-Known Member
OP
Member
Joined
Aug 28, 2015
Messages
105
Trophies
0
XP
323
Country
Hello, stranger!

I'll cut it short. I've been trying to run the Gold and Silver VC versions on my 3DS since they were released, and they wouldn't launch, even after installing the seed. They were/are just stuck on the "Nintendo 3DS" loading screen with the pulsating red corner animation. Same issue with Crystal now.
Red, Blue and Yellow work fine.
I tried to decrypt the contents of the Crystal cia using GodMode9, and that worked properly, so the seed I have installed is valid I guess.

Tried to launch on my 11.0 emuNAND as well as my 9.2 sysNAND (don't question this setup please). Also tried on a different console's 10.5 emuNAND. Same issue.
I googled this issue for a few hours yesterday but literally couldn't find *anything*. Also tried googling firmware requirements for these titles, and found a minimum required firmware of 4.0.0 for Crystal on 3dsdb (although that might be due to laziness on Nintendo's part, since they assumed people were on the latest firmwares on release to be able to download from the eShop).

Any suggestions? Or perhaps anyone knows about any *actual* minimum firmware requirements to run those titles?
Advanced technical input is welcome.

Thanks.
 

Hallowing

Well-Known Member
Newcomer
Joined
Sep 2, 2017
Messages
77
Trophies
0
XP
336
Country
United States
The only thing I can think to ask is do you have the luma setting enabled for the AGB patches? Not that Pokemon runs on gba.
 
Last edited by Hallowing,

Clothahump

Well-Known Member
OP
Member
Joined
Aug 28, 2015
Messages
105
Trophies
0
XP
323
Country
Luma 8.1.1 config:
Default EmuNAND: 1
Screen brightness: 1
Splash: Off
Pin lock: Off
New 3DS CPU: Off

Autoboot EmuNAND: On
Use EmuNAND FIRM if booting with R: Off
Enable loading external FIRMs and modules: Off
Enable game patching: Off // note that I played around with this and tried to spoof them to a different region to no avail
Show NAND or user string in System Settings: On
Show GBA boot screen in patched AGB_FIRM: Off
Patch ARM9 access: Off
Set developer UNITINFO: Off
Disable ARM11 exception handlers: Off // tried with On as well, didn't work either

Worth noting I'm not convinced this has anything todo with Luma. I tried reiNAND as well (I know, Luma is a reiNAND fork of some sorts, but it has been a long way since then...) and rxTools on my other console for the lulz.
 
Last edited by Clothahump,

ootnes2

Well-Known Member
Member
Joined
Oct 26, 2015
Messages
219
Trophies
0
Age
37
XP
775
Country
United States
Hello, stranger!

Any suggestions? Or perhaps anyone knows about any *actual* minimum firmware requirements to run those titles?
Advanced technical input is welcome.

Thanks.

Have you tried running the NTR custom firmware program first or launching using hans, that should tell if its a firmware requirement issue. That said, the symptom seems more like not having the right seed.
 

Clothahump

Well-Known Member
OP
Member
Joined
Aug 28, 2015
Messages
105
Trophies
0
XP
323
Country
Out of curiosity did you legit buy the games or did you use a piracy app. If the latter which one(s)?

For Crystal I tried CIAngel and one from that iso site, neither worked. Also installed my own decrypted CIA (based on the CIAngel one), that didn't work either.
For Gold and Silver I tried freeShop and CIAngel.
I don't think that would make too much of a difference compared to eShop though. Would be surprised if it did.

Have you tried running the NTR custom firmware program first or launching using hans, that should tell if its a firmware requirement issue. That said, the symptom seems more like not having the right seed.

Tried both already, forgot to mention that. I also installed the seed multiple times using FBI - once by having it download the (supposedly) correct one on its own, and once by downloading it manually and placing it in the corresponding folder on my sd card.
Edit: Also, I get an exception (as I should), when I don't have a seed installed for the app I'm trying to launch. Wouldn't that also happen if the seed was wrong? I thought that GodMode9 seemingly decrypting it properly would be a good indicator that my seed was correct.
 
Last edited by Clothahump,

wicksand420

Well-Known Member
Member
Joined
Nov 13, 2016
Messages
2,800
Trophies
1
Age
37
XP
2,252
Country
United States
go into FBI and go to "Titles", select the game that isnt working, and go to "import seed" and test your game to see if its working, if you get a arm11 exception, hold select when you boot your 3ds and turn off the arm 11 exception handler
 
Last edited by wicksand420,

Clothahump

Well-Known Member
OP
Member
Joined
Aug 28, 2015
Messages
105
Trophies
0
XP
323
Country
go into FBI and go to "Titles", select the game that isnt working, and go to "import seed" and test your game to see if its working, if you get a arm11 exception, hold select when you boot your 3ds and turn off the arm 11 exception handler

Thanks for your input. I've done this 3 times already, twice by having FBI download the seed over the internet and once by manually downloading it and placing it in /fbi/seeds on my sd card. Didn't work unfortunately. Also never got any exceptions after the first time installing any seeds for them; they were just stuck on that 3ds loading screen.
 

wicksand420

Well-Known Member
Member
Joined
Nov 13, 2016
Messages
2,800
Trophies
1
Age
37
XP
2,252
Country
United States
Thanks for your input. I've done this 3 times already, twice by having FBI download the seed over the internet and once by manually downloading it and placing it in /fbi/seeds on my sd card. Didn't work unfortunately. Also never got any exceptions after the first time installing any seeds for them; they were just stuck on that 3ds loading screen.
did you try downloading your game with Villain3DS or wii u usb helper?
 

Clothahump

Well-Known Member
OP
Member
Joined
Aug 28, 2015
Messages
105
Trophies
0
XP
323
Country
did you try downloading your game with Villain3DS or wii u usb helper?

I have not. As I mentioned before, the things I tried were CIAngel, freeShop and one file from that very particular iso site. The odds of all three of these sources providing improper or corrupted cias are very low I wager, but I can give Villain3DS a try if you believe that it would be worth a shot.
Also, for the record, I also compared the checksums of some of the essential files contained in "my own" decrypted CIA and the one I downloaded from the iso site, and they matched.
 

tomx86

Well-Known Member
Member
Joined
Jun 3, 2015
Messages
747
Trophies
0
Age
36
XP
1,683
Country
Poland
did you try downloading your game with Villain3DS or wii u usb helper?
Delete the titles and tickets with FBI, use CIAngel do re-download them, then launch in homebrew launcher ctr-httpwn 1.2 it will give a error but it will do its job (allow to enter eshop without the latest firmware) so press start to go back to homemenu, go to eshop find the titles version you installed with CIAngel and go to download, it the download button is gray (not enabled) and not blue (enabled), go back to the homemenu, and that will fix the your problem, if not then I don't know how to help you, good luck.
 

Clothahump

Well-Known Member
OP
Member
Joined
Aug 28, 2015
Messages
105
Trophies
0
XP
323
Country
Delete the titles and tickets with FBI, use CIAngel do re-download them, then launch in homebrew launcher ctr-httpwn 1.2 it will give a error but it will do its job (allow to enter eshop without the latest firmware) so press start to go back to homemenu, go to eshop find the titles version you installed with CIAngel and go to download, it the download button is gray (not enabled) and not blue (enabled), go back to the homemenu, and that will fix the your problem, if not then I don't know how to help you, good luck.

Did that. Download button was grey. Title still won't launch.
 

Hallowing

Well-Known Member
Newcomer
Joined
Sep 2, 2017
Messages
77
Trophies
0
XP
336
Country
United States
Are you installing the cia using ciangel because it has an issue with that. I usually just use it to install tickets, then use previous said method to install straight from eshop
 

Clothahump

Well-Known Member
OP
Member
Joined
Aug 28, 2015
Messages
105
Trophies
0
XP
323
Country
Are you installing the cia using ciangel because it has an issue with that. I usually just use it to install tickets, then use previous said method to install straight from eshop

I tried both having CIAngel install directly and having it create a CIA to install with FBI (also tried devmenu).

Edit: I've read people recommending against downloading from the eShop using fake tickets, more than once. Not sure if that's such a good idea :/
 
Last edited by Clothahump,

The Real Jdbye

*is birb*
Member
Joined
Mar 17, 2010
Messages
22,047
Trophies
3
Location
Space
XP
11,321
Country
Norway
Luma 8.1.1 config:


Worth noting I'm not convinced this has anything todo with Luma. I tried reiNAND as well (I know, Luma is a reiNAND fork of some sorts, but it has been a long way since then...) and rxTools on my other console for the lulz.
Luma had all its borrowed code rewritten so it can no longer be considered a fork (hence the name change)
Hello, stranger!

I'll cut it short. I've been trying to run the Gold and Silver VC versions on my 3DS since they were released, and they wouldn't launch, even after installing the seed. They were/are just stuck on the "Nintendo 3DS" loading screen with the pulsating red corner animation. Same issue with Crystal now.
Red, Blue and Yellow work fine.
I tried to decrypt the contents of the Crystal cia using GodMode9, and that worked properly, so the seed I have installed is valid I guess.

Tried to launch on my 11.0 emuNAND as well as my 9.2 sysNAND (don't question this setup please). Also tried on a different console's 10.5 emuNAND. Same issue.
I googled this issue for a few hours yesterday but literally couldn't find *anything*. Also tried googling firmware requirements for these titles, and found a minimum required firmware of 4.0.0 for Crystal on 3dsdb (although that might be due to laziness on Nintendo's part, since they assumed people were on the latest firmwares on release to be able to download from the eShop).

Any suggestions? Or perhaps anyone knows about any *actual* minimum firmware requirements to run those titles?
Advanced technical input is welcome.

Thanks.
9.2 would never work, as seeds weren't introduced until a later firmware (it was either 9.5 or an early 10.x version)
Not sure why it doesn't work on 11.0 though. Updating to the latest firmware version may help, other than that I guess you could try to install a cryptofixed CIA (either decrypt it yourself or find one online), although that shouldn't be necessary when you have the seed.
 
Last edited by The Real Jdbye,
  • Like
Reactions: wicksand420

Clothahump

Well-Known Member
OP
Member
Joined
Aug 28, 2015
Messages
105
Trophies
0
XP
323
Country
Luma had all its borrowed code rewritten so it can no longer be considered a fork (hence the name change)

([...] but it has been a long way since then...)

9.2 would never work, as seeds weren't introduced until a later firmware (it was either 9.5 or an early 10.x version)

9.6 to be precise, I know. Not sure if I clarified, but the CIA I tried on my 9.2 nand was actually the one I cryptofixed myself.

Not sure why it doesn't work on 11.0 though. Updating to the latest firmware version may help, other than that I guess you could try to install a cryptofixed CIA (either decrypt it yourself or find one online), although that shouldn't be necessary when you have the seed.

I DID try multiple cryptofixed CIAs as I stated above, and you are correct, I shouldn't even need one since I have the correct seed installed.
Updating was ultimately the solution. I have no idea why (didn't bother investigating), but for some reason those titles just won't boot on 11.0 :/

Anyway, thanks everyone for trying to help me!
 

The Real Jdbye

*is birb*
Member
Joined
Mar 17, 2010
Messages
22,047
Trophies
3
Location
Space
XP
11,321
Country
Norway
9.6 to be precise, I know. Not sure if I clarified, but the CIA I tried on my 9.2 nand was actually the one I cryptofixed myself.



I DID try multiple cryptofixed CIAs as I stated above, and you are correct, I shouldn't even need one since I have the correct seed installed.
Updating was ultimately the solution. I have no idea why (didn't bother investigating), but for some reason those titles just won't boot on 11.0 :/

Anyway, thanks everyone for trying to help me!
It does happen that a game actually needs a certain firmware to work since it uses API functions that were added in later on. It's rare though, and it's strange for the game to have 4.0 as minimum firmware if it uses those API functions.
There's also a minimum kernel version check which Luma doesn't patch out AFAIK (Gateway is the only thing that does), so that could have been the issue as well. That can be patched out manually using PC tools.
 
  • Like
Reactions: Clothahump

Clothahump

Well-Known Member
OP
Member
Joined
Aug 28, 2015
Messages
105
Trophies
0
XP
323
Country
It does happen that a game actually needs a certain firmware to work since it uses API functions that were added in later on. It's rare though, and it's strange for the game to have 4.0 as minimum firmware if it uses those API functions.
There's also a minimum kernel version check which Luma doesn't patch out AFAIK (Gateway is the only thing that does), so that could have been the issue as well. That can be patched out manually using PC tools.

Learned a new thing today. Thank you.
 
General chit-chat
Help Users
    Dark_Phoras @ Dark_Phoras: Has Childish Gambino become more mature?